Name:          glu
Epoch:         1
Version:       9.0.3
Release:       2mamba
Summary:       Utility library for the Mesa implementation of the OpenGL 3-D graphics library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.mesa3d.org/
Source:        ftp://ftp.freedesktop.org/pub/mesa/glu/glu-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires:      libglu = %{?epoch:%epoch:}%{version}-%{release}

%description
Utility library for the Mesa implementation of the OpenGL 3-D graphics library.

%package -n libglu
Group:         System/Libraries
Summary:       Utility library for the Mesa implementation of the OpenGL 3-D graphics library
Provides:      libGLU
Obsoletes:     libGLU < 1:9.0.3

%description -n libglu
Utility library for the Mesa implementation of the OpenGL 3-D graphics library.

%package -n libglu-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libGLU = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libGLU-devel
Obsoletes:     libGLU-devel < 1:9.0.3
Provides:      libGLU-static
Obsoletes:     libGLU-static < 1:9.0.3

%description -n libglu-devel
This package contains libraries and header files for developing applications that use %{name}.
aries files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libglu -p /sbin/ldconfig
%postun -n libglu -p /sbin/ldconfig

%files -n libglu
%defattr(-,root,root)
%{_libdir}/libGLU.so.*

%files -n libglu-devel
%defattr(-,root,root)
%{_includedir}/GL/glu.h
#%{_includedir}/GL/glu_mangle.h
%{_libdir}/libGLU.a
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc

%changelog
* Sun Jul 30 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.3-2mamba
- libglu-devel: fix obsoleting libGLU-devel

* Fri Jul 28 2023 Automatic Build System <autodist@mambasoft.it> 9.0.3-1mamba
- automatic version update by autodist

* Sat Jun 26 2021 Automatic Build System <autodist@mambasoft.it> 9.0.2-1mamba
- automatic version update by autodist

* Thu Aug 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.1-1mamba
- update to 9.0.1

* Wed Oct 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.0-2mamba
- bump epoch up to allow the upgrade of previous libGLU from Mesa

* Wed Oct 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.0-1mamba
- package created by autospec
